// 001 u_help
// 27 oct 2008

(*$r+*)

(*
  project | Options add
     C:\prog\helper\forms
     
  uses u_help

  in help_Click() add

        display_help;
  
*)


unit u_help;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  Thelp_form_ = class(TForm)
    Memo1: TMemo;
    procedure Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    m_help_full_file_name: String;
  public
  end;

    procedure display_help;
    procedure free_help;

  implementation
    uses FileCtrl, u_file, u_dir, u_exe;

    {$R *.DFM}

    var help_form_: Thelp_form_= Nil;

    procedure display_help;
      var l_help_path: String;
      begin
        if help_form_= Nil
          then begin
              help_form_:= thelp_form_.create(Nil);

              l_help_path:= f_exe_path+ 'help\';
              f_create_path(l_help_path);
              with help_form_ do
              begin
                m_help_full_file_name:= l_help_path+ f_exe_pure_project_name+ '_help.txt';
                Caption:= m_help_full_file_name;
                if FileExists(m_help_full_file_name)
                  then help_form_.Memo1.Lines.LoadFromFile(m_help_full_file_name)
                  else Caption:= Caption+ ' not_found';
              end; // with help_form_
            end;

        with help_form_ do
        begin
          Left:= 0;
          Top:= 0;
          Show;
        end;
      end; // display_help

    procedure free_help;
      begin
        FreeAndNil(help_form_);
      end;

    procedure Thelp_form_.Memo1KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
      begin
        if Key= 27
          then Hide
          else
            if Key= vk_F2
              then help_form_.Memo1.Lines.SaveToFile(m_help_full_file_name);
      end; // Memo1KeyDown

end.
